var helpDivName = 'help';

function helpClass()
{
	this.helptexts = new Object();

	// AVAIL

	// avail_setup.php
	this.helptexts['report-type']="Select the preferred report type. Hostgroup, Host, Servicegroup or Service. To include objects of the given type in the report, select the objects from the left list and click on the right pointing arrow. To exclude objects from the report, select the objects from the right list and click on the left pointing arrow.";
	this.helptexts['report-settings']="Here you have the ability to select report options to customize your report.";
	this.helptexts['reporting_period']="Choose from a set of predefined report periods or choose &quot;CUSTOM REPORT PERIOD&quot; to manually specify Start and End date.";
	this.helptexts['report_time_period']="What time should the report be created for. Tip: This can be used for SLA reporting.";
	this.helptexts['scheduled_downtime']="Select if downtime that occurred during scheduled downtime should be counted as uptime or not.";
	this.helptexts['initial_states']="Whether to assume logging of initial states or not. Default values are YES. For advanced users the value can be modified by editing the nagios.cfg config file located in the /opt/monitor/etc directory.";
	this.helptexts['first_assumed_host']="If there is no information about the host or service in the current log file, op5 Monitor can assume status of the host/service. Default value is &quot;First Real State&quot;.";
	this.helptexts['first_assumed_service']="If there is no information about the host or service in the current log file, op5 Monitor can assume status of the host/service. Default value is &quot;First Real State&quot;.";
	this.helptexts['stated_during_downtime']="If op5 Monitor is not running for some time during a report period we can by this option decide to assume states for hosts and services during the downtime. Default value is YES.";
	this.helptexts['include_soft_states']="A problem is classified as a SOFT problem until the number of checks has reached the configured max_check_attempts value. When max_check_attempts is reached the problem is reclassified as HARD.";
//	this.helptexts['csv_format']="Whether the generated report should be in CSV format (Comma-Separated Values).";
	this.helptexts['csv_format']="The CSV (comma-separated values) format is a file format that stores tabular data. This format is supported by many applications such as MS Excel, OpenOffice and Google Spreadsheets.";
    this.helptexts['save_avail']="Use the new GUI to save (and schedule) your reports.";
	this.helptexts['save-avail-report']="Choose a saved configuration from the dropdown and click 'select' to load the configuration. <br>'Delete' removes the chosen configuration, 'new' clears all configuration options.";

	// avail_result.tpl.php
	this.helptexts['avail']="This table shows a breakdown of the different states. How much time that was ok, warning, unknown, critical or undetermined in both actual time and percent. Time is also divied between uncheduled and scheduled which helps you to separate unplanned and planned events.";

	// pie_chart.tpl.php
	this.helptexts['pie_chart']="Pie chart that displays how much time in percent that was ok, warning, unknown, critical or undetermined.";

	// avail_links.tpl.php
	this.helptexts['avail_links']="Links to more information and reports about this host/service";

	// log.tpl.php
	this.helptexts['log_entries']="Shows the actual log messages that this report was created of.";

	// multiple_host_states.tpl.php
	this.helptexts['multiple_host_states']="Here you have a list of all hosts that are member of this hostgroup and their states.";

	// multiple_service_states.tpl.php
	this.helptexts['multiple_service_states']="Here you have a list of all services that are member of this servicegroup and their states.";

	// report_options.tpl.php
	this.helptexts['report_settings_sml']="Here you can modify the report settings for the report you are currently viewing.";
	this.helptexts['average_sla_info']="Aggregation of average values as well as the Group Availability (SLA) values for the items shown above.";

	this.helptexts['trends']="Shows trends during selected report period.";

	// SLA

	// sla/index.php
	this.helptexts['sla-reporting']="Choose a saved configuration from the dropdown and click 'select' to load the configuration. <br>'Delete' removes the chosen configuration, 'new' clears all configuration options.";

	this.helptexts['enter-sla']="Enter the selected SLA values for each month. The values is configured in percent.";

    this.helptexts['save_sla']="Use the new GUI to save (and schedule) your reports.";

	this.helptexts['custom-group']="This is the group of hosts / services that the SLA report is created for.";

	this.helptexts['use_average_avail']="What calculation method to use for the report. <br>" +
								"Traditional Availability reports are based on group availability (worst case). An alternative way is to use average values for" +
								" the group in question. Note that using average values are by some, considered <b>not</b> to be actual SLA.";

	this.helptexts['use_average']="How the SLA report is calculated. <br>" +
								 "Traditional SLA reports are based on group availability (worst case). An alternative way to calculate SLA using average values over" +
								 " the group in question. Note that using average values are by some, considered <b>not</b> to be actual SLA.";

	this.helptexts['use_alias'] = "Select if you would like to see host aliases in the generated reports instead of just the host_name";

	// sla_graph.tpl.php
	this.helptexts['sla-graph']="Graphical report of the SLA. Green bars meens that the SLA was fulfilled and red that it was not fulfilled. The graph will autoscale.";

	// sla_pie.tpl.php, commented out
	this.helptexts['sla-pie']="";

	// sla_table.tpl.php
	this.helptexts['sla-table']="Breakdown of the SLA report in actual figures.";

}

var helper = new helpClass();

