<?php
set_time_limit(300);

define('PROCESS_SHUTDOWN',			103);
define('SERVICECHECK_PROCESSED',	701);
define('HOSTCHECK_PROCESSED',		801);
define('DOWNTIME_START',			1103);
define('DOWNTIME_STOP',				1104);

define('DB_NAME', 	'monitor_reports');
define('DB_HOST', 	'localhost');
define('DB_USER', 	'root');
define('DB_PASSWD', '');
define('TEMP_TABLE','report_data2');
define('NEW_TABLE', 'report_data');

$start = time();

/**
 * @name connect_to_db
 * @desc create db connection
 *
 */
function connect_to_db()
{
	$db = mysql_connect(DB_HOST, DB_USER, DB_PASSWD);
	if (!$db) {
		echo "ERROR: Unable to connect to ".DB_HOST."<br />\n";
		echo mysql_error()."<br />\n";
		return false;
	}

	if (!(mysql_select_db(DB_NAME, $db))) {
		echo "ERROR: Unable to select database (".DB_NAME.")"."<br />\n";
		echo mysql_error()."<br />\n";
		return false;
	}

	return true;
}

/**
 * 	Get contents of table
 *
 */
function get_table_data($table_name='')
{
	$table_name = trim($table_name);
	if (empty($table_name))
		return false;

	$sql = "SELECT * FROM ".DB_NAME.".".$table_name." ORDER BY timestamp";
	$res = mysql_query($sql);
	if (!$res || mysql_num_rows($res)==0) {
		if (mysql_error()!='') {
			echo "SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql."<br>\n";
		}
		return false;
	}
	return $res;
}

/**
 * Copy service_table data to TEMP_TABLE
 *
 */
function copy_service_table()
{
	$res = get_table_data('service_alert');
	if (!$res) {
		return false;
	}
	$i 		= 0;
	$perf  	= 0;

	while ($row = mysql_fetch_object($res)) {
		$event_type = SERVICECHECK_PROCESSED;
		$sql = "INSERT INTO
				   ".DB_NAME.".".TEMP_TABLE."(
						timestamp, event_type, host_name, service_description,
						state, hard, retry, output)
				VALUES(".$row->timestamp.", ".$event_type.", '".$row->host_name."',
					'".$row->service_description."', ".$row->state.", ".$row->hard.", ".$row->retry.",
					'".mysql_real_escape_string($row->output)."');";
		mysql_query($sql);
		if ($row->perf_data!=''){
			mysql_query("INSERT INTO ".DB_NAME.".perfdata2 (timestamp, host_name, service_description,
						perf_data) VALUES(".$row->timestamp.", '".$row->host_name."',
						'".$row->service_description."', '".mysql_real_escape_string($row->perf_data)."')");
		   	$perf++;
		}
		if (mysql_error()!='') {
			echo "SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql."<br>\n";
			return false;
		}
		$i++;
	}
	echo "Inserted ".$i." rows into ".TEMP_TABLE." and ".$perf." into
		  perf_data2 from service_alert<br>\n";
	return true;
}

/**
 * Copy host_table data to TEMP_TABLE
 *
 *
 */
function copy_host_table()
{
	$res = get_table_data('host_alert');
	if (!$res) {
		return false;
	}
	$i 		= 0;
	$perf 	= 0;

	while ($row = mysql_fetch_object($res)) {
		$event_type = HOSTCHECK_PROCESSED;
		$sql = "INSERT INTO
			".DB_NAME.".".TEMP_TABLE."(
			  timestamp, event_type, host_name,
				state, hard, retry, output)
			VALUES(".$row->timestamp.", ".$event_type.", '".$row->host_name."',
			".$row->state.", ".$row->hard.", ".$row->retry.",
			'".mysql_real_escape_string($row->output)."');";
		mysql_query($sql);
		if ($row->perf_data!=''){
		mysql_query("INSERT INTO ".DB_NAME.".perfdata2 (timestamp, host_name,
				perf_data) VALUES(".$row->timestamp.", '".$row->host_name."',
				'".mysql_real_escape_string($row->perf_data)."')");
			$perf++;
		}

		if (mysql_error()!='') {
			echo "SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql."<br>\n";
 			return false;
		}
		$i++;
	}
	echo "Inserted ".$i." rows into ".TEMP_TABLE." and ".$perf." into
		  perf_data2 from host_alert<br>\n";
	return true;
}

/*
 * Copy data from process_data to TEMP_TABLE
 *
 */
function copy_process_table(){
	$res = get_table_data('process_data');
	if (!$res) {
		return false;
	}
	$i = 0;
	while ($row = mysql_fetch_object($res)) {
		if ($row->start==1) {
			continue;
		}
		$sql = "INSERT INTO ".DB_NAME.".".TEMP_TABLE."(timestamp, event_type) VALUES(
				".$row->timestamp.", ".PROCESS_SHUTDOWN.");";
		mysql_query($sql);
		if (mysql_error()!='') {
			echo "SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql."<br>\n";
			return false;
		}
		$i++;
	}
	echo "Inserted ".$i." rows into ".TEMP_TABLE." from process_data<br>\n";
	return true;
}

/*
 * 	Truncate tables before trying to insert new values
 */
function empty_tables() {
	$sql[] = "TRUNCATE ".DB_NAME.".report_data2";
	$sql[] = "TRUNCATE ".DB_NAME.".perfdata2";
	$sql[] = "TRUNCATE ".DB_NAME.".perfdata";
	$sql[] = "TRUNCATE ".DB_NAME.".report_data";

	for ($i=0;$i<sizeof($sql);$i++) {
		mysql_query($sql[$i]);

		if (mysql_error()!='') {
			echo "SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql[$i]."<br>\n";
			return false;
		}
	}
	return true;
}

/**
 * Move data from TEMP_TABLE to NEW_TABLE
 * sorted by timestamp
 */
function move_report_data() {
	$res = get_table_data(TEMP_TABLE);

	if (!$res) {
		return false;
	}
	$i = 0;

	while ($row = mysql_fetch_object($res)) {
		$sql = "INSERT INTO ".DB_NAME.".".NEW_TABLE."(
			   timestamp, event_type, host_name, service_description,
			   state, hard, retry, output)
			VALUES(".$row->timestamp.", ".$row->event_type.", '".$row->host_name."',
			'".$row->service_description."', ".$row->state.", ".$row->hard.", ".$row->retry.",
			'".mysql_real_escape_string($row->output)."')";

		mysql_query($sql);
		if (mysql_error()!='') {
			echo ".SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql[$i]."<br>\n";
			return false;
		}
		$i++;
	}
	echo "Moved ".$i." records from ".TEMP_TABLE." to ".NEW_TABLE."<br>\n";
	return true;
}

/*
 * 	Move perfdata from perfdata2 to perfdata
 * 	sorted by timestamp
 *
 */
function move_perfdata() {
	$res = get_table_data('perfdata2');

	if (!$res) {
		return false;
	}
	$i = 0;

	while ($row = mysql_fetch_object($res)) {
		$sql = "INSERT INTO ".DB_NAME.".perfdata(timestamp, host_name, service_description,
			   output, perf_data)
			VALUES(".$row->timestamp.", '".$row->host_name."', '".$row->service_description."',
			'".mysql_real_escape_string($row->output)."',
			'".mysql_real_escape_string($row->perf_data)."')";

		mysql_query($sql);

		if (mysql_error()!='') {
			echo ".SQL ERROR: ".mysql_error()."<br>\n";
			echo "SQL: ".$sql[$i]."<br>\n";
			return false;
		}
		$i++;
	}
	echo "MOVED ".$i." records from perfdata2 to perfdata<br>\n";
	return true;
}

// -----------------------------
// 	MAIN
// -----------------------------

// create db connection
if (!connect_to_db()) {
	die("Unable to connect to db");
}

// make sure target tables are empty
if (!empty_tables()) {
	die("Unable to trunate target tables");
}

// move data from old tables to TEMP_TABLE
$table = array("process", "host", "service");
foreach ($table as $w => $func) {
	$func_name = "copy_".$func."_table";
	if (!$func_name()) {
		die("An error occurred when trying to import ".$func." data...<br>\n");
	}
}

// Move perfdata sorted by timestamp
if (!move_perfdata()) {
	die("<br>\nAn error occurred when trying to move data from perfdata2 to perfdata<br>\n");
}

// move report_data sorted by timestamp
if (!move_report_data()) {
	die("<br>\nAn error occurred when trying to move data from ".TEMP_TABLE." to ".NEW_TABLE."<br>\n");
}

echo "Time to run script: ".(time()-$start)." seconds";

?>
