<div id="state_breakdown">
	<h1 onclick="show_hide('avail',this)"><?php echo str_replace(': ', ' for '.$source.': ', $header_string); ?></h1>
	<div class="icon-help" onclick="general_help('avail')"></div>
	<fieldset id="avail">
		<table summary="Result table">
			<colgroup>
				<col class="col_label" />
				<col class="col_reason" />
				<col style="width: 157px" />
				<col style="width: 157px" />
			</colgroup>
			<tr>
				<th>&nbsp;</th>
				<th class="left">Type / Reason</th>
				<th>Time</th>
				<th>Total time</th>
			</tr>
			<?php foreach ($avail_data['var_types'] as $var_type) { ?>
			<tr class="border-top">
				<td class="label <?php echo strtolower($var_type); ?>-left" rowspan="3"><?php echo ucfirst(strtolower($var_type)); ?></td>
				<td class="left">Unscheduled</td>
				<td><?php echo time_to_string($avail_data['values']['TIME_' . $var_type .'_UNSCHEDULED']) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_TIME_' . $var_type .'_UNSCHEDULED']) ?> %</td>
			</tr>
			<tr>
				<td class="left">Scheduled</td>
				<td><?php echo time_to_string($avail_data['values']['TIME_' . $var_type .'_SCHEDULED']) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_TIME_' . $var_type .'_SCHEDULED']) ?> %</td>
			</tr>
			<tr class="total <?php echo strtolower($var_type); ?>">
				<td class="left">Total</td>
				<td><?php echo time_to_string($avail_data['values']['KNOWN_TIME_' . $var_type]) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_KNOWN_TIME_' . $var_type]) ?> %</td>
			</tr>
			<tr class="no-border">
				<td colspan="4"></td>
			</tr>
			<?php } ?>
			<tr class="border-top">
				<td class="label undetermined-left" rowspan="3">Undetermined</td>
				<td class="left">Monitor not running</td>
				<td><?php echo time_to_string($avail_data['values']['TIME_UNDETERMINED_NOT_RUNNING']) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_TIME_UNDETERMINED_NOT_RUNNING']) ?> %</td>
			</tr>
			<tr>
				<td class="left">Insufficient data</td>
				<td><?php echo time_to_string($avail_data['values']['TIME_UNDETERMINED_NO_DATA']) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_TIME_UNDETERMINED_NO_DATA']) ?> %</td>
			</tr>
			<tr class="total undetermined">
				<td class="left">Total</td>
				<td><?php echo time_to_string($avail_data['values']['TOTAL_TIME_UNDETERMINED']) ?></td>
				<td class="border-right"><?php echo format_report_value($avail_data['values']['PERCENT_TOTAL_TIME_UNDETERMINED']!=0 ? $avail_data['values']['PERCENT_TOTAL_TIME_UNDETERMINED'] : format_report_value(0)) ?> %</td>
			</tr>
			<tr class="no-border">
				<td colspan="4"></td>
			</tr>
			<tr class="border-top total">
				<td class="label all-left">All</td>
				<td class="left">Total</td>
				<td><? echo time_to_string($avail_data['tot_time']) ?></td>
				<td class="border-right"><? echo format_report_value($avail_data['tot_time_perc']) ?> %</td>
			</tr>
			<tr id="pdf-hide">
				<td colspan="4" style="padding: 7px 0px 0px 0px; border: 0px; background-color: transparent"><?php echo $testbutton ?></td>
			</tr>
		</table>
	</fieldset>
</div>
