<?php
$old_config_names = get_all_sla_config_names();
$old_config_names_js = empty($old_config_names) ? "false" : "new Array('".implode("', '", $old_config_names)."');";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="Content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<title> <?php echo $title ?></title>
		<link type="text/css" rel="stylesheet" href="../css/new.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="../css/colours.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="../css/help.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="../css/print.css" media="print" />
		<link type="text/css" rel="stylesheet" href="css/sla.pdf.css" media="projection" />
		<link type="text/css" rel="stylesheet" href="../css/thickbox.css" media="screen" />
		<script type="text/javascript" src="../js/common.js"></script>
		<script type="text/javascript" src="../js/jquery.js"></script>
		<script type="text/javascript" src="../js/jquery.jeditable.mini.js"></script>
		<script type="text/javascript" src="../js/jquery.form.js"></script>
		<script type="text/javascript" src="../js/thickbox-compressed.js"></script>
		<script type="text/javascript" src="../js/move_options.js"></script>
		<script type="text/javascript" src="../js/filterlist.js"></script>
		<script type="text/javascript" src="../js/sla.js"></script>
		<script type="text/javascript" src="../js/help.js"></script>
		<script type="text/javascript" src="../js/helptexts.js"></script>
		<script type="text/javascript" src="../js/schedule_report.js"></script>
		<script type="text/javascript">
			var nr_of_scheduled_instances = <?php echo !empty($scheduled_info) ? sizeof($scheduled_info) : 0; ?>;
			var invalid_sla_info_names = <?php echo $old_config_names_js ?>;
			function message_hide(the_id)	{
				$('#' + the_id).hide('slow');
			}
			function message_show(msg, the_id, msg_type){
				$('#' + the_id).css('background','#f4f4ed url(icons/32x32/shield-'+msg_type+'.png) 7px 7px no-repeat').css("position", "relative").css('top', '0px').css('width','748px').css('left', '0px').css('padding','15px 2px 15px 50px ').css('font-weight','bold').html(msg).show();
				setTimeout("message_hide('" + the_id + "');", 5000);
			}
			$(document).ready(function(){
				$('#status_msg_div').hide();
			<?php if (!empty($status_msg)) { ?>
				message_show('<?php echo $status_msg ?>', 'response','ok');
			<?php } ?>
			<?php if (empty($sla_id)) { ?>
				//message_show('To schedule this report, save it first.', 'response','info');
			<?php } ?>
			});
		</script>
	</head>
