<?php if (!empty($table_data)) {
	$custom_group = explode(',',$str_source);

	if (count($custom_group) > 1)
		$str_source = 'SLA breakdown for Custom group';
	else {
		if (!$use_alias || $group_title !== false)
			$str_source = 'SLA breakdown for: '.$str_source;
		else
			$str_source = 'SLA breakdown for: '.get_host_alias($str_source).' ('.$str_source.')';
	}
?>
<div class="sla_table">
	<h1 onclick="show_hide('sla-table_<?php echo $nr;?>',this)"><?php echo $str_source; ?></h1>
	<div class="icon-help" onclick="general_help('sla-table')"></div>
	<fieldset id="sla-table_<?php echo $nr;?>">
		<?php foreach ($table_data as $source => $data) { ?>
		<table class="auto">
			<tr>
				<th class="null first_child"></th>
				<?php $n = 0; foreach ($data as $month => $values) { $n++; ?>
				<th class="<?php echo (($values[0][0] < $values[0][1]) ? 'down' : 'up'); ?> padder"><?php echo $month ?>&nbsp;(%)</th>
				<?php if ($n != count($data)) { ?>
				<th class="null"></th>
				<?php } } ?>
			</tr>
			<tr>
				<td class="label">SLA</td>
				<?php $j = 0; foreach ($data as $month => $value) { $j++; ?>
				<td class="padder"><?php echo format_report_value($value[0][1]) ?></td>
				<?php if ($j != count($data)) { ?>
				<td class="null"></td>
				<?php } } ?>
			</tr>
			<tr>
				<td class="label">Real</td>
				<?php $i = 0; foreach ($data as $month => $value) { $i++;?>
				<td class="<?php echo (($value[0][0] < $value[0][1]) ? 'down' : 'up'); ?> padder">
					<?php echo format_report_value($value[0][0]) ?>
				</td>
				<?php if ($i != count($data)) { ?>
				<td class="null"></td>
				<?php } } ?>
			</tr>
		</table>
		<?php } ?>
	</fieldset>
</div>
<?php } ?>
