<?php

$days_per_month = array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
$valid_weekdays = array('sunday','monday','tuesday','wednesday','thursday','friday','saturday');
$valid_months = array
(
	1  => 'january',
	2  => 'february',
	3  => 'march',
	4  => 'april',
	5  => 'may',
	6  => 'june',
	7  => 'july',
	8  => 'august',
	9  => 'september',
	10 => 'october',
	11 => 'november',
	12 => 'december'
);


/**
* Timeperiod class - currently used as namespace for different timeperiod types as
* defined in nagios 3
*/
class Timeperiod
{
	const DATERANGE_CALENDAR_DATE = 0; 	/* eg: 2008-12-25 - 2009-02-01 / 6 */
	const DATERANGE_MONTH_DATE = 1;  	/* eg: july 4 - november 15 / 3 (specific month) */
	const DATERANGE_MONTH_DAY = 2;  	/* eg: day 1 - 25 / 5  (generic month)  */
	const DATERANGE_MONTH_WEEK_DAY = 3; /* eg: thursday 1 april - tuesday 2 may / 2 (specific month) */
	const DATERANGE_WEEK_DAY = 4;  		/* eg: thursday 3 - monday 4 (generic month) */
	const DATERANGE_TYPES = 5;
}

?>
