<?php
require_once('paths.inc.php');
global $op5common_path;
require_once($op5common_path.'/lib/jpgraph/jpgraph.php');
require_once($op5common_path.'/lib/common.php');
require_once 'lib_reports.php';
global $colors;

$colors = array(
	'green' => '#aade53',
	'yellow' => '#ffd92f',
	'orange' => '#ff9d08',
	'red' 	=> '#f7261b',
	'grey' 	=> '#a19e95',
	'lightblue' => '#addcdb', # actual color is #ddeceb, but it is hardly visible
);

$image_type = get_array_var($_REQUEST, 'type');
if (!$image_type) exit;
$data = unserialize( base64_decode( get_array_var($_REQUEST, 'data') ) );

switch ($image_type) {
	case 'pie':
		require_once($op5common_path."/lib/jpgraph/jpgraph_pie.php");
		create_piechart($data);
		break;
	case 'sla_pie':
		require_once($op5common_path."/lib/jpgraph/jpgraph_pie.php");
		create_sla_piechart($data);
		break;
	case 'sla_bar':
		require_once($op5common_path."/lib/jpgraph/jpgraph_line.php");
		require_once($op5common_path."/lib/jpgraph/jpgraph_bar.php");
		create_sla_bar_chart($data);
		break;
	default:
		exit;
}

?>
