<?php
$old_config_names_js = empty($old_config_names) ? "false" : "new Array('".implode("', '", $old_config_names)."')";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<title><?php echo $title;?></title>
		<link type="text/css" rel="stylesheet" href="css/new.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="css/colours.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="css/help.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="jscalendar/skins/aqua/theme.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="css/print.css" media="print" />
		<link type="text/css" rel="stylesheet" href="css/avail.pdf.css" media="projection" />
		<link type="text/css" rel="stylesheet" href="css/thickbox.css" media="screen" />
		<link type="text/css" rel="stylesheet" href="css/response.css" media="screen" />
  		<script type="text/javascript" src="jscalendar/calendar.js"></script>
		<script type="text/javascript" src="jscalendar/lang/calendar-en.js"></script>
		<script type="text/javascript" src="jscalendar/calendar-setup.js"></script>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript" src="js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="js/jquery.jeditable.mini.js"></script>
		<script type="text/javascript" src="js/jquery.form.js"></script>
		<script type="text/javascript" src="js/thickbox-compressed.js"></script>
		<script type="text/javascript" src="js/avail.js"></script>
		<script type="text/javascript" src="js/common.js"></script>
		<script type="text/javascript" src="js/help.js"></script>
		<script type="text/javascript" src="js/helptexts.js"></script>
		<script type="text/javascript" src="js/schedule_report.js"></script>
		<script type="text/javascript">
			var host 	= '<?php echo get_array_var($_REQUEST, 'initialassumedhoststate') ?>';
			var service =  '<?php echo get_array_var($_REQUEST, 'initialassumedservicestate') ?>';
			var assumeinitialstates = <?php echo (int)get_array_var($_REQUEST, 'assumeinitialstates') ?>;
			var scheduleddowntimeasuptime = <?php echo (int)get_array_var($_REQUEST, 'scheduleddowntimeasuptime') ?>;
			var avail_id = <?php echo (int)($avail_id!=''); ?>;
			var invalid_report_names = <?php echo $old_config_names_js ?>;
			function message_hide(the_id)
			{
				$('#' + the_id).hide();
			}
			function message_show(msg, the_id, msg_type)	{
				$('#' + the_id).css('background','#f4f4ed url(icons/32x32/shield-'+msg_type+'.png) 7px 7px no-repeat').css("position", "relative").css('top', '0px').css('width','100%').css('padding','15px 0px 15px 0px ').css('font-weight','bold').html('<p style="margin-left: 50px">'+msg+'</p>').show();
				setTimeout("message_hide('" + the_id + "');", 5000);
			}
			$(document).ready(function(){
				$('#status_msg_div').hide();
			<?php if (!empty($status_msg)) { ?>
				message_show('<?php echo $status_msg ?>', 'response','<?php echo $msg_type; ?>');
			<?php } ?>
			});
		</script>
	</head>

	<body onload="init_dates('avail_form');">
		<div id="general_help"></div>
		<div id="response"></div>
		<?php echo !empty($report_header) ? $report_header : '' ?>

		<div id="main">
			<!-- this report options template should only be shown for host groups -->
			<?php	echo (!empty($report_options_top) && $report_template_check) ? $report_options_top : ''; ?>
			<?php
				if (!empty($err_msg))
					echo '<div id="err_msg">The following errors where detected: <br />'.$err_msg.'</div>';
				if (!empty($trends))
					include('trends.tpl.php');
				if (!empty($content))
					echo $content;
				if (!empty($svc_content))
					echo $svc_content;
				if (!empty($error_msg))
					echo $error_msg;

				// pie charts here when displaying host groups
				if (!empty($piechart) && $report_template_check)
					echo $piechart;
			?>
		</div>
		<div id="right">
			<?php	echo (!empty($report_options) && !$report_template_check) ? $report_options : ''; ?>
			<?php
				if (!empty($links))
					include('avail_links.tpl.php');
			?>
			<?php
				if (!empty($piechart) && !$report_template_check)
					echo $piechart;
			?>
		</div>

		<?php
			if (!empty($log_content)) {
				echo '<div id="log_messages">'."\n";
				echo $log_content;
				echo '</div>'."\n";
			}
		?>

		<div class='setup-table' id='generated_by'>
			<?php print $generated_by_txt ?><br />
			<img src="<?php print $logo_src ?>" alt="<?php print $logo_alt ?>" />
		</div>
	</body>
</html>