<?php include('../templates/sla_header.tpl.php'); ?>
	<body>
		<div id="general_help"></div>
		<div id="response"></div>
		<div id="header">
			<h3>Reporting period: <?php echo $report_time_formatted; ?></h3>
			<?php if (isset($str_start_date) && isset($str_end_date) ) {
				 echo $str_start_date.' to '.$str_end_date;
			 }
			 ?>
				<?php if (!empty($sla_id)) { ?>
				<a href="#TB_inline?height=350&amp;width=350&amp;inlineId=new_schedule_form_area" id="new_schedule_btn" class="thickbox" title="Add new schedule"><img src="../icons/32x32/square-add-schedule.png" alt="" style="position: absolute; top: 0px; left: 640px;" /></a>
				<?php }
				if (!empty($scheduled_info)) { ?>
				<a href="#TB_inline?height=500&amp;width=550&amp;inlineId=schedule_report" id="show_schedule" class="thickbox" title="View schedule(s)"><img src="../icons/32x32/square-view-schedule.png" alt=""style="position: absolute; top: 0px; left: 600px;" /></a>
				<?php } ?>
				<a href="#TB_inline?height=500&amp;width=550&amp;inlineId=schedule_report" id="show_schedule" class="thickbox none" title="View schedule(s)"><img src="../icons/32x32/square-view-schedule.png" alt=""style="position: absolute; top: 0px; left: 640px;" /></a>
				<!--<a href="#TB_inline?height=100&amp;width=350&amp;inlineId=save_report_form_area" id="save_report_btn" class="thickbox"><img src="../icons/32x32/square-save.png" alt="Save report" title="Save report" style="position: absolute; top: 0px; left: 680px;"/></a>-->
				<a href="#" onclick="window.print()"><img src="../icons/32x32/square-print.png" title="Print report" alt="Print report" style="position: absolute; top: 0px; left: 720px;" /></a>
				<?php print $pdf_link ?>
		</div>
	<?php
		if (isset($content))
			print $content;

		$periods = array();
		$json_periods = false;
		if (!empty($periods_res)) {
			foreach ($periods_res as $period_row) {
				$periods[$period_row['id']] = $period_row['periodname'];
			}
		}
		if (!function_exists('json_encode')) {
			$json = new JSON();
			$json_periods = $json->encode($periods);
			unset($json);
		} else {
			$json_periods = json_encode($periods);
		} ?>

	<?php if(!isset($_REQUEST['generating_pdf'])) { ?>

	<div><span id="autoreport_periods"><?php echo $json_periods ?></span></div>
		<div id="save_report_form_area" title="Save report">
		<h2>Save report</h2>
		<hr style="margin: 0px; padding: 0px" />
		<form name="save_report_form" id="save_report_form" method="post" action="<?php echo basename($_SERVER['PHP_SELF']) ?>" onsubmit="return check_report_update(this);">
		<div>
			<table id="save_report_table" class="white-table">
				<tr>
					<td>Report Name</td>
					<td id="sla_save_information">
						<input type="text" name="sla_name" id="sla_name" value="<?php echo get_array_var($sla_options, 'sla_name') ?>" size="50" maxlength="255" />
						<input type="submit" class="button save" name="s1" value="Save" />
					</td>
				</tr>
			</table>
			<input type="hidden" name="disabled_save_sla_settings" value="1" />
			<input type="hidden" name="old_report_name" value="<?php echo get_array_var($sla_options, 'sla_name') ?>" />
			<input type="hidden" name="sla_id" value="<?php echo $sla_id ?>" />
<?php	foreach ($sla_options as $key => $value) {
			if ($key == 'sla_name') continue; ?>
			<input type="hidden" name="<?php echo $key ?>" value="<?php echo $value ?>" />
<?php	}
		foreach ($in_months as $key => $value) { ?>
			<input type="hidden" name="month_<?php echo $key ?>" value="<?php echo $value ?>" />
<?php	}
		foreach ($obj_value as $key => $value) { ?>
			<input type="hidden" name="<?php echo $map_type_field[get_array_var($sla_options, 'report_type')] ?>[]" value="<?php echo $value ?>" />
<?php	} ?>
	</div>
		</form>
		</div>

		<div id="new_schedule_form_area">
			<form id="schedule_report_form" name="schedule_report_form" action="/monitor/op5/auto-reports/save_report.php" onsubmit="document.getElementById('show_schedule').style.display='block'">
			<div>
			<h2>New schedule</h2>
			<table id="new_schedule_report_table" class="white-table">
				<?php if (!empty($periods_res)) { ?>
				<tr>
					<td>Report Interval<br />
						<select name="period" id="period">
					<?php	foreach ($periods_res as $period) {
								?><option value="<?php echo $period['id'] ?>"><?php echo $period['periodname'] ?></option><?php
							} ?>
						</select>
					</td>
				</tr>
				<?php }?>
				<tr>
					<td>Recipients<br />
					<input type="text" class="schedule" name="recipients" id="recipients" value="" /></td>
				</tr>
				<tr>
					<td>Filename<br />
					<input type="text" class="schedule" name="filename" id="filename" value="" /></td>
				</tr>
				<tr>
					<td>Description<br />
					<textarea cols="31" rows="3" id="description" name="description"></textarea></td>
				</tr>
				<tr>
					<td id="scheduled_btn_ctrl">
						<input type="submit" class="button save" name="sched_subm" id="sched_subm" value="Save" />
						<input type="reset" class="button clear" name="reset_frm" id="reset_frm" value="Clear" />
					</td>
				</tr>
			</table>
			<input type="hidden" name="saved_report_id" id="saved_report_id" value="<?php echo $sla_id ?>" />
			<input type="hidden" name="rep_type" value="2" />
			<input type="hidden" name="module_save" id="module_save" value="1" />
			</div>
			</form>
		</div>

		<div id="schedule_report">
			<h2>Schedules for this report</h2>
			<hr />
			<table id="schedule_report_table" width="100%" class="white-table">
					<tr id="schedule_header">
						<th>Interval</th>
						<th>Recipients</th>
						<th>Filename</th>
						<th colspan="2">Description</th>
					</tr>
				<?php if (!empty($scheduled_info)) {
					foreach ($scheduled_info as $schedule) {
						$recipients = str_replace(' ', '', $schedule['recipients']);
						$recipients = str_replace(',', ', ', $recipients); ?>
				<tr id="report-<?php echo $schedule['id'] ?>">
					<td class="period_select" title="Double click to edit" id="period_id-<?php echo $schedule['id'] ?>"><?php echo $schedule['periodname'] ?></td>
					<td class="iseditable" title="Double click to edit" id="recipients-<?php echo $schedule['id'] ?>"><?php echo $recipients ?></td>
					<td class="iseditable" title="Double click to edit" id="filename-<?php echo $schedule['id'] ?>"><?php echo $schedule['filename'] ?></td>
					<td class="iseditable_txtarea" title="Double click to edit" id="description-<?php echo $schedule['id'] ?>"><?php echo utf8_decode($schedule['description']) ?></td>
					<td class="delete_report" id="<?php echo $schedule['id'] ?>"><img src="../icons/cross_12x12.gif"></td>
				</tr><?php
					}
				} ?>
			</table>
		</div>

	<?php } ?>
	<div class="setup-table" id="generated_by">
		<p>
		<?php print $generated_by_txt ?><br />
		<img src="<?php print $logo_src ?>" alt="<?php print $logo_alt ?>" />
		</p>
	</div>
	</body>
</html>
